<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.sale.postage.mapper.BdPostageFailAreaMapper">

    <!-- 查询邮费模板不配送地区 -->
    <select id="queryPostageFailAreaList" resultType="com.hzs.common.domain.sale.ext.BdPostageFailAreaExt">
        select bpfa.*, bap.name province_val, bac.name city_val
        from BD_POSTAGE_FAIL_AREA bpfa
                 left join bd_area bap
                           on bap.pk_id = bpfa.province
                 left join bd_area bac
                           on bac.pk_id = bpfa.city
        where bpfa.del_flag = 0
          and bpfa.pk_postage = #{pkPostage}
    </select>

</mapper>
